| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csKeyEventData Struct Reference
[Event handling]

Structure that collects the data a keyboard event carries. More...

`#include <iutil/event.h>`

List of all members.

## Public Attributes
bool | autoRepeat
| Auto-repeat flag.
csKeyCharType | charType
| Type of the key, if it is a character key.
utf32_char | codeCooked
| Cooked key code.
utf32_char | codeRaw
| Raw key code.
csKeyEventType | eventType
| Event type.
csKeyModifiers | modifiers
| Modifiers at the time the event was generated.

## Detailed Description

Structure that collects the data a keyboard event carries.

The event it self doesn't transfer the data in this structure; it is merely meant to pass around keyboard event data in a compact way within client code without having to pass around the event itself.

See also:
  csKeyEventHelper

Definition at line 128 of file event.h.

## Member Data Documentation

bool csKeyEventData::autoRepeat

Auto-repeat flag.

Definition at line 139 of file event.h.

csKeyCharType csKeyEventData::charType

Type of the key, if it is a character key.

Definition at line 141 of file event.h.

utf32_char csKeyEventData::codeCooked

Cooked key code.

Definition at line 135 of file event.h.

utf32_char csKeyEventData::codeRaw

Raw key code.

Definition at line 133 of file event.h.

csKeyEventType csKeyEventData::eventType

Event type.

Definition at line 131 of file event.h.

csKeyModifiers csKeyEventData::modifiers

Modifiers at the time the event was generated.

Definition at line 137 of file event.h.

The documentation for this struct was generated from the following file:

- iutil/event.h